Create a metric source query policy
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/metrics/policies \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"action_variant": "<string>",
"metric_source_query_id": "<string>",
"mode": "discover",
"selector": {},
"tag_bindings": {},
"max_series": 123,
"health": {
"unhealthy": {
"op": "over",
"value": 123,
"sustain_s": 1830
},
"unit": "ms"
}
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/metrics/policies"
payload = {
"action_variant": "<string>",
"metric_source_query_id": "<string>",
"mode": "discover",
"selector": {},
"tag_bindings": {},
"max_series": 123,
"health": {
"unhealthy": {
"op": "over",
"value": 123,
"sustain_s": 1830
},
"unit": "ms"
}
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_variant: '<string>',
metric_source_query_id: '<string>',
mode: 'discover',
selector: {},
tag_bindings: {},
max_series: 123,
health: {unhealthy: {op: 'over', value: 123, sustain_s: 1830}, unit: 'ms'}
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/metrics/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"org_id": "<string>",
"action_variant": "<string>",
"metric_source_query_id": "<string>",
"mode": "discover",
"version": "<string>",
"applied_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"selector": {},
"tag_bindings": {},
"max_series": 123,
"health": {
"unhealthy": {
"op": "over",
"value": 123,
"sustain_s": 1830
},
"recovered": {
"op": "over",
"value": 123,
"sustain_s": 1830
},
"unit": "ms"
},
"deleted_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Create a metric source query policy
PUT
/
v1
/
orgs
/
{org_id}
/
metrics
/
policies
Create a metric source query policy
Authorizations
Path Parameters
Pattern:
^[0-9]+$Body
application/json
Pattern:
^[0-9]+$Available options:
discover Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes